### Method

# Cogl Pipeline set_layer_null_texture

#### Declaration [src]

    void
    cogl_pipeline_set_layer_null_texture (
      CoglPipeline* pipeline,
      int layer_index
    )

#### Description [src]

Sets the texture for this layer to be the default texture for the given type. The default texture is a 1x1 pixel white texture.

This function is mostly useful if you want to create a base pipeline that you want to create multiple copies from using cogl_pipeline_copy(). In that case this function can be used to specify the texture type so that any pipeline copies can share the internal texture type state for efficiency.

#### Parameters

`layer_index`

  Type: `int`

  The layer number to modify.